Ticket #2006 (closed enhancement: fixed)

Opened 9 years ago

Last modified 5 years ago

Display additional info while viewing (F3) *.iso files

Reported by: Unknown Owned by: slavazanko
Priority: major Milestone: 4.8.9
Component: mc-core Version: master
Keywords: iso9660 Cc:
Blocked By: Blocking:
Branch state: merged Votes for changeset: committed-master

Description

Viewing (F3) for e.g. knoppix.iso delivers this output:

Directory listing of /
d---------   0    0    0            2048 Jan 10 2009 [     29 02]  .
d---------   0    0    0            2048 Jan 10 2009 [     29 02]  ..
d---------   0    0    0            2048 Jun 29 2008 [     30 02]  BOOT
d---------   0    0    0            2048 Jan 27 2009 [     32 02]  KNOPPIX

Directory listing of /BOOT/
d---------   0    0    0            2048 Jun 29 2008 [     30 02]  .
d---------   0    0    0            2048 Jan 10 2009 [     29 02]  ..
d---------   0    0    0            2048 Jan 27 2009 [     31 02]  ISOLINUX

...

After applying this patch:

--- mc.ext.org	2010-02-05 02:38:40.000000000 +0100
+++ mc.ext	2010-02-05 19:08:55.000000000 +0100
@@ -241,7 +241,7 @@
 # ISO9660
 regex/\.iso$
 	Open=%cd %p#iso9660
-	View=%view{ascii} isoinfo -l -i %f
+	View=%view{ascii} isoinfo -d -i %f && isoinfo -l -i %f
 
 # 7zip archives (they are not man pages)
 regex/\.(7z|7Z)$

And restarting mc.

Viewing (F3) for e.g. knoppix.iso delivers this output:

CD-ROM is in ISO 9660 format
System id: LINUX
Volume id: KNOPPIX
Volume set id:
Publisher id:
Data preparer id:
Application id: KNOPPIX
Copyright File id:
Abstract File id:
Bibliographic File id:
Volume set size is: 1
Volume set sequence number is: 1
Logical block size is: 2048
Volume size is: 332259
El Torito VD version 1 found, boot catalog is in sector 40
Joliet with UCS level 3 found
Rock Ridge signatures version 1 found
Eltorito validation header:
    Hid 1
    Arch 0 (x86)
    ID ''
    Key 55 AA
    Eltorito defaultboot header:
        Bootid 88 (bootable)
        Boot media 0 (No Emulation Boot)
        Load segment 0
        Sys type 0
        Nsect 4
        Bootoff 29 41

Directory listing of /
d---------   0    0    0            2048 Jan 10 2009 [     29 02]  .
d---------   0    0    0            2048 Jan 10 2009 [     29 02]  ..
d---------   0    0    0            2048 Jun 29 2008 [     30 02]  BOOT
d---------   0    0    0            2048 Jan 27 2009 [     32 02]  KNOPPIX

Directory listing of /BOOT/
d---------   0    0    0            2048 Jun 29 2008 [     30 02]  .
d---------   0    0    0            2048 Jan 10 2009 [     29 02]  ..
d---------   0    0    0            2048 Jan 27 2009 [     31 02]  ISOLINUX

...

Change History

comment:1 Changed 9 years ago by x905

isoinfo has a "bug" - it not show dot-started files and dirs

comment:2 Changed 9 years ago by Unknown

According to: http://en.wikipedia.org/wiki/ISO_9660#File_and_directory_name_restrictions
ISO 9660 File names shall not start or end with the dot character.

comment:3 Changed 9 years ago by x905

hmm, my fault - isoinfo does show dot started files (for example .discinfo)
mc also show this file then F3 pressed on iso file, but not show then Enter pressed on iso file

comment:4 follow-up: ↓ 5 Changed 9 years ago by Unknown

Does applying this patch help?

--- iso9660.org	2010-02-05 02:38:37.000000000 +0100
+++ iso9660	2010-02-15 17:10:15.000000000 +0100
@@ -62,7 +62,7 @@
   sub(" $", "", name)
   ## sub(";[0-9]+$", "", name) ## would break copyout
   # skip . and ..
-  if (name ~ /^\.\.?/) next;
+  ## if (name ~ /^\.\.?/) next; ## would prevent dot started files
   printf "%s%s%s\n", attr, dir, name
 }' 
 }

comment:5 in reply to: ↑ 4 Changed 9 years ago by ossi

--- iso9660.org 2010-02-05 02:38:37.000000000 +0100
+++ iso9660 2010-02-15 17:10:15.000000000 +0100
@@ -62,7 +62,7 @@

sub(" $", "", name)
## sub(";[0-9]+$", "", name) ## would break copyout
# skip . and ..

  • if (name ~ /^\.\.?/) next;

i think replacing it with this will be the right fix:

if (name ~ /^\.\.?$/) next;

Last edited 8 years ago by andrew_b (previous) (diff)

comment:6 Changed 9 years ago by Unknown

IMHO skipping . and .. is already covered by the line: "/^d---------/ { next }", so this statement is not needed.

Last edited 8 years ago by andrew_b (previous) (diff)

comment:7 Changed 8 years ago by andrew_b

  • Version changed from version not selected to master
  • Branch state set to no branch
  • Milestone changed from 4.7 to Future Releases

comment:8 Changed 6 years ago by slavazanko

  • Status changed from new to accepted
  • Owner set to slavazanko
  • Milestone changed from Future Releases to 4.8.9

comment:9 Changed 6 years ago by slavazanko

  • Keywords iso9660 added
  • Branch state changed from no branch to on review

Created branch 2006_more_info_about_iso,
initial changeset:7b95b0a0ec87b79542b89ee3a388fb187dc8ba8c

Please review.

Last edited 6 years ago by andrew_b (previous) (diff)

comment:10 Changed 6 years ago by andrew_b

  • Votes for changeset set to andrew_b

Leading space should be stripped. :)

comment:11 Changed 6 years ago by angel_il

  • Votes for changeset changed from andrew_b to andrew_b angel_il
  • Branch state changed from on review to approved

comment:12 Changed 6 years ago by slavazanko

  • Status changed from accepted to testing
  • Resolution set to fixed

Merged to master:

git log --pretty=oneline c6844e1 cb57614

comment:13 Changed 6 years ago by slavazanko

  • Status changed from testing to closed

comment:14 Changed 6 years ago by andrew_b

  • Branch state changed from approved to merged

comment:15 Changed 5 years ago by andrew_b

  • Votes for changeset changed from andrew_b angel_il to committed-master
Note: See TracTickets for help on using tickets.